<template>
    <div class="body-grid bg-night">
        <div style="margin: 0; padding: 10px; width: 100%;"
         class="txt-gray6-dark centered centered-txt intro">
        - {{isLang.photos.title}} -
        </div>
            <div class="img-grid">
            <template v-for="item in getPhotos.list" :key="item.id">
                    <div class="item-in">
                        <div class="tost bg-night br5">
                            <div style="margin: 0; width: 100%; height: 100%;" class="centered tost-child">
                                <img v-lazy="item.img" class="preserved br5" :alt="item.director"/>
                            </div>
                            <div class="voile br5 tost-child">
                                <div class="voile-head">
                                    <div class="blockitem">
                                        <router-link :to="`/contact/${item.director}`" class="btn-wrap br20 voile-btn">
                                            <div class="btn-txt-icon">{{isLang.photos.contact}}</div>
                                            <div class="icon-case">
                                                <email-icon size="icon-20" />
                                            </div>
                                        </router-link>
                                    </div>
                                    <div class="blockitem">
                                        <div class="btn-wrap br20 voile-btn-disabled"
                                         @click.prevent="setPopup(message, 'prime')">
                                            <div class="icon-case">
                                                <download-icon size="icon-20" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="voile-body"></div>
                                <div class="voile-foot">
                                    {{isLang.photos.prefix}} {{item.director}}
                                </div>
                            </div>
                        </div>
                    </div>
            </template>
        </div>
    </div>
</template>

<script setup lang="ts">
import langStore from '../store/langStore';
import photoStore from '../store/photoStore';
import EmailIcon from './icons/EmailIcon.vue';
import DownloadIcon from './icons/DownloadIcon.vue';
import popup from '../store/popup';

const { isLang } = langStore;
const { getPhotos } = photoStore;
const { setPopup } = popup;
const message = isLang.value.popup.msg3;
</script>

<style scoped>
.body-grid {
    margin: 0;
    width: 100%;
    min-height: calc(100vh - 65px);
    position: relative;
}

.tost {
    margin: 0;
    height: 100%;
    width: 100%;
    position: relative;
    display: grid;
    grid-template-columns: 1fr;
    }
    .tost-child {
        grid-row-start: 1;
        grid-column-start: 1;
    }
    .voile {
        margin: 0;
        width: 100%;
        height: 100%;
    }
    .voile-head {
        margin: 0;
        width: 100%;
        height: 60px;
        padding-left: 10px;
        display: flex;
    }
    .voile-body {
        margin: 0;
        width: 100%;
        height: calc(100% - 100px);
    }

/*version mobile 0 - 768px*/
@media (max-width: 768px) {
    .img-grid {
        margin: 0;
        padding: 10px;
        width: 100%;
        column-count: 1;
    }
    .item-in {
        margin: 0;
        padding-bottom: 10px;
    }
    .voile-btn {
        color: var(--full-white);
        background: var(--trans-black);
    }
    .voile-btn-disabled {
        background: var(--trans-white);
        color: var(--night-light);
    }
    .voile-foot{
        margin: 0;
        width: 100%;
        padding: 10px;
        height: 40px;
        color: var(--full-white);
        font-weight: lighter;
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }
    .intro {
        font-size: 20px;
        font-weight: 500;
    }
}

/* version tablette 768px - 1023px */
@media (min-width: 769px) and (max-width: 1023px) {
    .img-grid {
        margin: 0;
        padding: 10px;
        width: 100%;
        column-count: 2;
    }
    .item-in {
        margin: 0;
        padding-bottom: 10px;
        display: inline-block;
    }
    .voile-btn {
        color: var(--full-white);
        background: var(--trans-black);
    }
    .voile-btn-disabled {
        background: var(--trans-white);
        color: var(--night-light);
    }
    .voile-foot{
        margin: 0;
        width: 100%;
        padding: 10px;
        height: 40px;
        color: var(--full-white);
        font-weight: lighter;
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }
    .intro {
        font-size: 30px;
        font-weight: 500;
    }
}



/*version bureau min 1024px */
@media (min-width: 1024px) {
    .img-grid {
        margin: 0;
        padding: 10px;
        width: 100%;
        column-count: 3;
        gap: 13px;
    }
    .item-in {
        margin: 0;
        margin-bottom: 10px;
        padding: 0;
        display: inline-block;
    }
    .voile-btn {
        opacity: 0;
        border: 1px solid var(--full-white);
        color: var(--full-white);
    }
    .voile-btn-disabled {
        opacity: 0;
        background: var(--trans-white);
        color: var(--night-light);
    }
    .voile-foot{
        margin: 0;
        width: 100%;
        padding: 10px;
        height: 40px;
        color: transparent;
        font-weight: lighter;
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }
    .voile:hover {
        background: rgba(3, 0, 27, 0.356);
        transition: background .6s;
    }
    .voile:hover .voile-btn {
        opacity: 1;
        transition: opacity .8s;
    }
    .voile:hover .voile-btn-disabled {
        opacity: 1;
        transition: opacity 1s;
    }
    .voile:hover .voile-foot {
        color: rgb(250, 250, 250);
        transition: color .6s;
    }
    .intro {
        font-size: 30px;
        font-weight: 500;
    }
    .tost:hover {
        box-shadow: 1px 1px 8px var(--gray6-dark);
        transition: box-shadow 1s;
    }
}
</style>